FAILLOG(8)

NOM
faillog - Examiner le fichier faillog, et fixer les limites d'échecs de connexion

SYNOPSIS

faillog [options]

DESCRIPTION

faillog displays the contents of the failure log database (/var/log/faillog). It can also set the failure counters and limits. When faillog is run without arguments, it only displays the faillog records of the users who had a login failure.

OPTIONS

Les options disponibles pour la commande faillog sont :

-a, --all
    Display (or act on) faillog records for all users having an entry in the faillog database.

    The range of users can be restricted with the -u option.

    In display mode, this is still restricted to existing users but forces the display of the faillog entries even if they are empty.

    With the -l, -m, -r, -t options, the users' records are changed, even if the user does not exist on the system. This is useful to reset records of users that have been deleted or to set a policy in advance for a range of users.

-h, --help
    Afficher un message d'aide et quitter.

-l, --lock-secs SEC
    Verrouiller le compte pendant SEC secondes après un échec de connexion.

    L'accès en écriture sur /var/log/faillog est nécessaire pour cette option.

-m, --maximum MAX
    Set the maximum number of login failures after the account is disabled to MAX.

    Selecting a MAX value of 0 has the effect of not placing a limit on the number of failed logins.

    The maximum failure count should always be 0 for root to prevent a denial of services attack against the system.

    L'accès en écriture sur /var/log/faillog est nécessaire pour cette option.

-r, --reset
    Reset the counters of login failures.

    L'accès en écriture sur /var/log/faillog est nécessaire pour cette option.

-t, --time JOURS
    Afficher les entrées de faillog plus récentes que JOURS.

-u, --user LOGIN|INTERVALLE
    Afficher l'entrée de faillog ou maintient le décompte et les limitations (suivant que l'option -l, -m ou -r est utilisée) seulement pour les utilisateurs indiqués.

    The users can be specified by a login name, a numerical user ID, or a RANGE of users. This RANGE of users can be specified with a min and max values (UID_MIN-UID_MAX), a max value (-UID_MAX), or a min value (UID_MIN-).

When none of the -l, -m, or -r options are used, faillog displays the faillog record of the specified user(s).

AVERTISSEMENTS

Faillog n'affiche que les utilisateurs n'ayant pas eu de connexion réussie depuis leur dernier échec. Pour afficher un utilisateur ayant eu une connexion réussie depuis son dernier échec, vous devez explicitement demander cet utilisateur avec l'option -u, ou demander l'affichage de tous les utilisateurs avec l'option -a.

FICHIERS

/var/log/faillog
    Journal des échecs de connexion.

VOIR AUSSI

login(1), faillog(5).